#!/bin/bash
. ./hosts.sh
var=$1

echo "---- Start All Timestamp: `date +"%Y-%m-%d-%H:%M:%s.%N"` ----" >> profile_info_Ceastor_$1.txt
echo "<<< Configuration Information >>>" >> profile_info_Ceastor_$1.txt
echo "" >> profile_info_Ceastor_$1.txt
echo "1.System Info" >> profile_info_Ceastor_$1.txt
echo "2.Pool Info" >> profile_info_Ceastor_$1.txt
echo "3.LUN Info" >> profile_info_Ceastor_$1.txt
echo "4.node Info" >> profile_info_Ceastor_$1.txt


# 1.system info
echo "" >> profile_info_Ceastor_$1.txt
echo "*********************************************" >> profile_info_Ceastor_$1.txt
echo "********* 1.System Info *********" >> profile_info_Ceastor_$1.txt
echo "*********************************************" >> profile_info_Ceastor_$1.txt
echo "---- Start Get System Info Timestamp: `date +"%Y-%m-%d-%H:%M:%s.%N"` ----" >> profile_info_Ceastor_$1.txt
echo "" >> profile_info_Ceastor_$1.txt
echo "-----------  Hardware Info ---------------" >> profile_info_Ceastor_$1.txt
dmg -i storage scan -v  >> profile_info_Ceastor_$1.txt
echo "---- End Get System Info Timestamp: `date +"%Y-%m-%d-%H:%M:%s.%N"` ----" >> profile_info_Ceastor_$1.txt
# 2.Pool Info
echo "" >> profile_info_Ceastor_$1.txt
echo "*********************************************" >> profile_info_Ceastor_$1.txt
echo "********* 2.Pool Info *********" >> profile_info_Ceastor_$1.txt
echo "*********************************************" >> profile_info_Ceastor_$1.txt
echo "---- Start Get Pool Info Timestamp: `date +"%Y-%m-%d-%H:%M:%s.%N"` ----" >> profile_info_Ceastor_$1.txt
echo "" >> profile_info_Ceastor_$1.txt
echo "--------------" >>  profile_info_Ceastor_$1.txt
dmg -i pool query test  >>  profile_info_Ceastor_$1.txt
echo "" >> profile_info_Ceastor_$1.txt
echo "---- End Timestamp: `date +"%Y-%m-%d-%H:%M:%s.%N"` ----" >> profile_info_Ceastor_$1.txt

# 3.lun info
echo "" >> profile_info_Ceastor_$1.txt
echo "*********************************************" >> profile_info_Ceastor_$1.txt
echo "*********	3.LUN Info *********" >> profile_info_Ceastor_$1.txt
echo "*********************************************" >> profile_info_Ceastor_$1.txt
echo "---- Start Get Lun Info Timestamp: `date +"%Y-%m-%d-%H:%M:%s.%N"` ----" >> profile_info_Ceastor_$1.txt
echo "" >> profile_info_Ceastor_$1.txt

echo "--------- LUN Details ---------" >> profile_info_Ceastor_$1.txt
pool=`dmg -i pool list -n -j | jq .response.pools[0].uuid -r`
contCnt=1
for i in $(seq -w $contCnt); do
	echo "--------------"  >> profile_info_Ceastor_$1.txt
        contId=`printf "%03d" $i`
        for j in $(seq $imageCnt); do
        	imageId=BLK$contId-`printf "%08d" $j`
                echo "show image $imageId"
		image_toolbox image_meta_stat  $pool  $imageId >> profile_info_Ceastor_$1.txt
        done
done
echo "---- End Get Lun Info Timestamp: `date +"%Y-%m-%d-%H:%M:%s.%N"` ----" >> profile_info_Ceastor_$1.txt
#4.node information
echo "" >> profile_info_Ceastor_$1.txt
echo "*********************************************" >> profile_info_Ceastor_$1.txt
echo "********* 4.node Information *********" >> profile_info_Ceastor_$1.txt
echo "*********************************************" >> profile_info_Ceastor_$1.txt
echo "---- Start Get Node Info Timestamp: `date +"%Y-%m-%d-%H:%M:%s.%N"` ----" >> profile_info_Ceastor_$1.txt
echo "--------- node of system ---------" >> profile_info_Ceastor_$1.txt
dmg -i sys query -v >> profile_info_Ceastor_$1.txt
echo "" >> profile_info_Ceastor_$1.txt
echo "---- End Get Node Info Timestamp: `date +"%Y-%m-%d-%H:%M:%s.%N"` ----" >> profile_info_Ceastor_$1.txt
echo "---- End All Timestamp: `date +"%Y-%m-%d-%H:%M:%s.%N"` ----" >> profile_info_Ceastor_$1.txt
