#!/bin/bash
var=$1
. ./hosts.sh

for host_node in ${ManageClientHost[*]}; do
        echo "start collect lsblk for host node" >> ./lsblk_info/node_${host_node}_lsblk_${var}.txt
        echo "-----------$host_node----------------" >> ./lsblk_info/node_${host_node}_lsblk_${var}.txt
        ssh root@$host_node "date  +%Y-%m-%d-%H:%M:%s.%N;lsblk; date  +%Y-%m-%d-%H:%M:%s.%N" >>  ./lsblk_info/node_${host_node}_lsblk_${var}.txt
done
for storage_node in ${clusterHosts[*]}; do
        echo "start collect dmidecode for storage node" >> ./lsblk_info/node_${storage_node}_lsblk_$var.txt
        echo "-----------$storage_node----------------" >> ./lsblk_info/node_${storage_node}_lsblk_$var.txt
        ssh root@$storage_node "date  +%Y-%m-%d-%H:%M:%s.%N;lsblk ;date  +%Y-%m-%d-%H:%M:%s.%N;" >>  ./lsblk_info/node_${storage_node}_lsblk_${var}.txt
done
